gdm crashes if a user account is deleted or added (nslcd,ldap)

Bug #1067414 reported by H.-Dirk Schmitt on 2012-10-16
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
accountsservice (Ubuntu)
Undecided
Unassigned
gdm (Ubuntu)
Undecided
Unassigned

Bug Description

Scenario:

* LDAP User Account (NFS Home Directory)
* nslcd and gdm are used
* user account information is manipulated, e.g. apt-get remove --purge tomcat7*

Result:
gdm session crashed

Syslog:
Oct 16 17:48:29 dilbert kernel: [24735.236935] gdm-session-wor[4316] general protection ip:7f28a91545a1 sp:7fff6dc110d0 error:0 in l

This can be reproduced on 2 different machines and user accounts

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: gdm 3.0.4-0ubuntu15
ProcVersionSignature: Ubuntu 3.2.0-32.51-generic 3.2.30
Uname: Linux 3.2.0-32-generic x86_64
ApportVersion: 2.0.1-0ubuntu14
Architecture: amd64
Date: Tue Oct 16 18:00:05 2012
SourcePackage: gdm
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.gdm.Xsession: 2012-06-25T12:57:29.554078

Problem still existing
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Problem also triggered by installing libvirt-bin and virt-manager which triggers the add of:

libvirt-qemu:x:124:128:Libvirt Qemu,,,:/var/lib/libvirt:/bin/false
libvirt-dnsmasq:x:125:138:Libvirt Dnsmasq,,,:/var/lib/libvirt/dnsmasq:/bin/false

---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

summary: - gdm crashed if a user account is deleted (nslcd,ldap)
+ gdm crashes if a user account is deleted or added (nslcd,ldap)

Error message in syslog: gdm-session-wor[4145]: segfault at 50 ip 00007f0a30df22ff sp 00007ffff499e230 error 4 in libc-2.15.so[7f0a30d72000+1b5000]

Hello H.-Dirk, or anyone else affected,

Accepted accountsservice into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/accountsservice/0.6.15-2ubuntu9.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in accountsservice (Ubuntu):
status: New → Confirmed
Changed in gdm (Ubuntu):
status: New → Confirmed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accountsservice - 0.6.15-2ubuntu9.7

---------------
accountsservice (0.6.15-2ubuntu9.7) precise-proposed; urgency=low

  * debian/patches/0014-fix-double-free.patch
    Removes a second call to g_free (user->language) that caused
    a segfault. (LP: #1067414) (LP: #1004515)
 -- Margarita Manterola <email address hidden> Mon, 08 Jul 2013 12:43:31 +0200

Changed in accountsservice (Ubuntu):
status: Confirmed → Fix Released

The verification of the Stable Release Update for accountsservice has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

TheoB (theo-y) wrote :

Problem disappeared after re-install.

Cheers
Theo

karin (namlos6206) wrote :

need help in any case thanks

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers